Skip to main content
`Ctrl`+`K`

# PetscObjectParameterDeclare

declares a parameter in a `PetscObject` and a location to store its default No Fortran Support

## Synopsis

    #include <petscsys.h>
    PetscBool PetscObjectParameterDeclare(type, char* NAME)

## Input Parameters

- type - the type of the parameter, for example `PetscInt`

- NAME - the name of the parameter, unquoted

.

## See Also

`PetscObjectParameterSetDefault()`, `PetscInitialize()`, `PetscFinalize()`, `PetscObject`, `SNESParametersInitialize()`

## Level

developer

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages